#ifndef sharedm_h
#define sharedm_h

#include <glib.h>

/* it's not neccessary to call this function explicit */
void gnome_shared_mem_init();

/* write data to the shared memory */
gint32  /* a key, identifying the shared memory */ 
gnome_shared_mem_write( gpointer data, /* data */
			gulong size ); /* sizeof data */

gpointer /* a pointer on the new allocated memory which is filled with the shared memory data */
gnome_shared_mem_read( gint key, /* the key identifiying the shared memory */
		       gulong size ); /* the size to copy */

/* free the shared memory again */
void gnome_shared_mem_free( gint key ); 

#endif
